Bug 790347 - Review Request: gfal - grid file access library, library for wlcg
Summary: Review Request: gfal - grid file access library, library for wlcg
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 790346 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-14 10:18 UTC by Adrien Devresse
Modified: 2012-04-04 08:48 UTC (History)
3 users (show)

Fixed In Version: gfal-1.12.0-4.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-28 04:55:26 UTC
karlthered: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Adrien Devresse 2012-02-14 10:18:22 UTC
Spec URL: http://firwen.org/home/specs/gfal.spec
SRPM URL: http://firwen.org/home/specs/gfal-1.12.0-1.el5.centos.src.rpm
Description: The Grid File Access Library offers a POSIX interface to Replica Catalogs, Storage Resource Managers and File Access services using protocols like rfio,
dcap.

Comment 1 Haïkel Guémar 2012-02-14 10:52:04 UTC
Few minor changes:
* remove the following macros which is unneeded
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from
distutils.sysconfig import get_python_lib; print(get_python_lib())")}
* you should filter python native module provides, adding the following snippet
in your spec should be enough

%{?filter_setup:
%filter_provides_in %{python_sitearch}/.*\.so$ 
%filter_setup
}

* you should also set minimal versions for dependencies (look for configure.ac)
gsoap-devel >= 2.7.13
swig >= 1.3.0

* i recommend that new packages use macro-style macros over shell-style (not
mandatory) sed -i 's/$RPM_BUILD_ROOT/%{buildroot}/g'

Apart these, everything looks good, as soon as you fix these, i'll start the
formal review.

Comment 2 Adrien Devresse 2012-02-14 12:40:02 UTC
Spec URL: http://firwen.org/home/specs/gfal.spec
SRPM URL: http://firwen.org/home/specs/gfal-1.12.0-2.el5.centos.src.rpm

updated with corrections for every comment.

Comment 3 Haïkel Guémar 2012-02-14 13:57:02 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST ldconfig called in %post and %postun if required.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.
[x]: MUST Development .so files in -devel subpackage, if present.
     Note: gfal-python-1.12.0-2.fc18.i686.rpm : /usr/lib/python2.7/site-
     packages/_gfal.so gfal-python-1.12.0-2.fc18.i686.rpm : /usr/lib/python2.7
     /site-packages/_gfalthr.so


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[-]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[-]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[-]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint gfal-1.12.0-2.fc18.src.rpm

gfal.src: W: spelling-error %description -l en_US rfio -> Porfirio
gfal.src: W: spelling-error %description -l en_US dcap -> cap, d cap
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint gfal-python-1.12.0-2.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint gfal-devel-1.12.0-2.fc18.i686.rpm

gfal-devel.i686: W: manual-page-warning /usr/share/man/man3/gfal_set_xfer_done_python.3.gz 20: warning: macro `transfert' not defined (possibly missing space after `tr')
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint gfal-debuginfo-1.12.0-2.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint gfal-1.12.0-2.fc18.i686.rpm

gfal.i686: W: spelling-error %description -l en_US rfio -> Porfirio
gfal.i686: W: spelling-error %description -l en_US dcap -> cap, d cap
gfal.i686: W: shared-lib-calls-exit /usr/lib/libgfal.so.1.12.0 exit@GLIBC_2.0
gfal.i686: W: shared-lib-calls-exit /usr/lib/libgfal_pthr.so.1.12.0 exit@GLIBC_2.0
gfal.i686: W: no-manual-page-for-binary gfal_version
1 packages and 0 specfiles checked; 0 errors, 5 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/haikel/790347/gfal-1.12.0.tar.gz :
  MD5SUM this package     : 01d0d7ae588f54f52041816fccc23aa8
  MD5SUM upstream package : 01d0d7ae588f54f52041816fccc23aa8

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Development .so files in -devel subpackage, if present.
     Note: gfal-python-1.12.0-2.fc18.i686.rpm : /usr/lib/python2.7/site-
     packages/_gfal.so gfal-python-1.12.0-2.fc18.i686.rpm : /usr/lib/python2.7
     /site-packages/_gfalthr.so
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST Rpmlint output is silent.

rpmlint gfal-1.12.0-2.fc18.src.rpm

gfal.src: W: spelling-error %description -l en_US rfio -> Porfirio
gfal.src: W: spelling-error %description -l en_US dcap -> cap, d cap
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint gfal-python-1.12.0-2.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint gfal-devel-1.12.0-2.fc18.i686.rpm

gfal-devel.i686: W: manual-page-warning /usr/share/man/man3/gfal_set_xfer_done_python.3.gz 20: warning: macro `transfert' not defined (possibly missing space after `tr')
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint gfal-debuginfo-1.12.0-2.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint gfal-1.12.0-2.fc18.i686.rpm

gfal.i686: W: spelling-error %description -l en_US rfio -> Porfirio
gfal.i686: W: spelling-error %description -l en_US dcap -> cap, d cap
gfal.i686: W: shared-lib-calls-exit /usr/lib/libgfal.so.1.12.0 exit@GLIBC_2.0
gfal.i686: W: shared-lib-calls-exit /usr/lib/libgfal_pthr.so.1.12.0 exit@GLIBC_2.0
gfal.i686: W: no-manual-page-for-binary gfal_version
1 packages and 0 specfiles checked; 0 errors, 5 warnings.



Generated by fedora-review 0.1.2
External plugins:

* rpmlint output should be silent
=> only few spelling false positives
=> the unversionned shared libraries in gfal-python are ok since they're python modules
=> report upstream to fix the man page gfal_set_xfer_done_python.3.gz: s/transfert/transfer/
* since you mean to maintain gfal on EPEL5, the buildroot and defattr warnings are irrelevant
* The licensing is OK: Apache 2.0
* builds on F16 and rawhide on all supported platforms, EPEL5 build depends on srm-ifce (accepted, still in testing) which you also maintain. I suggest that you request a build override for the EPEL5 build if srm-ifce QA is not finished on EPEL5.

Since the package globally respects Fedora packaging guidelines, i hereby approve this review

Comment 4 Adrien Devresse 2012-02-14 14:07:49 UTC
New Package SCM Request
=======================
Package Name: adev
Short Description: Grid file access library, library for wlcg
Owners: adev
Branches: f15 f16 f17 el6 el5
InitialCC:

Comment 5 Adrien Devresse 2012-02-14 14:11:10 UTC
sorry, error from the previous request, correction :

Comment 6 Adrien Devresse 2012-02-14 14:11:29 UTC
New Package SCM Request
=======================
Package Name: gfal
Short Description: Grid file access library, library for wlcg
Owners: adev
Branches: f15 f16 el6 el5
InitialCC:

Comment 7 Gwyn Ciesla 2012-02-14 14:18:12 UTC
Git done (by process-git-requests).

Added f17.

Comment 8 Fedora Update System 2012-02-14 21:35:09 UTC
gfal-1.12.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/gfal-1.12.0-2.el6

Comment 9 Fedora Update System 2012-02-15 01:20:48 UTC
gfal-1.12.0-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 10 Fedora Update System 2012-02-15 10:27:09 UTC
gfal-1.12.0-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/gfal-1.12.0-3.el5

Comment 11 Fedora Update System 2012-02-21 16:37:44 UTC
gfal-1.12.0-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gfal-1.12.0-3.fc16

Comment 12 Fedora Update System 2012-02-29 15:19:15 UTC
gfal-1.12.0-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gfal-1.12.0-4.fc16

Comment 13 Fedora Update System 2012-03-01 09:15:17 UTC
gfal-1.12.0-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/gfal-1.12.0-4.el5

Comment 14 Fedora Update System 2012-03-01 17:33:56 UTC
gfal-1.12.0-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/gfal-1.12.0-4.el6

Comment 15 Fedora Update System 2012-03-28 04:55:26 UTC
gfal-1.12.0-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2012-03-28 04:56:06 UTC
gfal-1.12.0-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2012-03-31 03:00:16 UTC
gfal-1.12.0-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Adrien Devresse 2012-04-04 08:48:58 UTC
*** Bug 790346 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.